forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ross Gardler <rgard...@apache.org>
Subject Re: Forrest x Tomcat
Date Tue, 30 Mar 2004 20:39:54 GMT
Joao Araujo wrote:
> 
>    After I upgraded forrest from 0.5.1 to 0.60 I can not run it under 
> tomcat anymore.
>        Although,  I generate the war file, "forrest war" without 
> problem, when I throw the file
>    under tomcat it crashs  with the message below.
>   I tried under tomcat 4.1, 5.0. The same error, stack overflow appears. 
> Does anyone have any clue?

<snip what="looks like OK war file expansion)"/>

> ----- Root Cause -----
> java.lang.StackOverflowError

I'm no expert on Tomcat or any other servlet engine but I do not think 
this is a problem directly with Forrest. The war file works no problem 
under Jetty (I don't mean forrest run, I mean generate the war and put 
it on another machine with jetty).

It must be some interaction thing between Forrest and Tomcat. It may be 
worth looking on the TOmcat lists for known causes of StackOverflowErrors

Ross


Mime
View raw message